# Generated by Django 3.1.1 on 2020-09-03 09:37

from django.db import migrations, models
import django.db.models.deletion
from revpayment.settings import api_settings
import revpayment.models
import uuid

buyer_label = api_settings.BUYER_CLASS._meta.label
order_label = api_settings.ORDER_CLASS._meta.label


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(buyer_label),
    ]

    operations = [
        migrations.CreateModel(
            name='RedirectState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.UUIDField(default=uuid.uuid4)),
                ('redirect_url', models.URLField()),
                ('payment_type', models.CharField(choices=[('offline', 'offline'), ('ecpay', 'ecpay'), ('neweb', 'neweb')], default='neweb', max_length=20)),
                ('payment_subtype', models.CharField(choices=[('default', 'default'), ('credit', 'credit'), ('cvs_cod', 'cvs_cod'), ('cvs', 'cvs'), ('atm', 'atm'), ('web_atm', 'web_atm'), ('barcode', 'barcode')], default='default', max_length=20)),
                ('cart', models.TextField()),
                ('order_id', models.CharField(default=revpayment.models.gen_order_id, max_length=128)),
                ('buyer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=buyer_label)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.CharField(max_length=128, primary_key=True, serialize=False)),
                ('order_type', models.CharField(choices=[('default', 'default'), ('credit', 'credit')], default='default', max_length=128)),
                ('amount', models.FloatField(default=0)),
                ('title', models.CharField(default='order', max_length=100)),
                ('description', models.CharField(default='no description', max_length=256)),
                ('currency', models.CharField(choices=[('TWD', 'TWD'), ('USD', 'USD'), ('JPY', 'JPY')], default='TWD', max_length=8)),
                ('payment_type', models.CharField(choices=[('offline', 'offline'), ('ecpay', 'ecpay'), ('neweb', 'neweb')], default='neweb', max_length=20)),
                ('payment_subtype', models.CharField(choices=[('default', 'default'), ('credit', 'credit'), ('cvs_cod', 'cvs_cod'), ('cvs', 'cvs'), ('atm', 'atm'), ('web_atm', 'web_atm'), ('barcode', 'barcode')], default='default', max_length=20)),
                ('payment_status', models.CharField(choices=[('success', 'success'), ('failure', 'failure'), ('refunded', 'refunded'), ('logistics_created', 'logistics_created'), ('form_created', 'form_created'), ('code_generated', 'code_generated')], default='waiting', max_length=20)),
                ('data', models.TextField(blank=True, null=True)),
                ('cart', models.TextField(blank=True, null=True)),
                ('receiver_email', models.EmailField(max_length=254)),
                ('receiver_name', models.CharField(blank=True, max_length=20)),
                ('receiver_phone', models.CharField(blank=True, max_length=20)),
                ('receiver_address', models.CharField(blank=True, max_length=128)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('payment_transaction_detail', models.TextField(blank=True)),
                ('payment_redirect_detail', models.TextField(blank=True)),
                ('code_no', models.CharField(blank=True, max_length=128)),
                ('bank_code', models.CharField(blank=True, max_length=128)),
                ('bank_account', models.CharField(blank=True, max_length=128)),
                ('barcode_1', models.CharField(blank=True, max_length=128)),
                ('barcode_2', models.CharField(blank=True, max_length=128)),
                ('barcode_3', models.CharField(blank=True, max_length=128)),
                ('buyer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=buyer_label)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.CharField(choices=[('B2B', 'B2B'), ('B2C', 'B2C')], default='B2C', max_length=10)),
                ('amount', models.IntegerField(default=0)),
                ('invoice_type', models.CharField(choices=[('neweb', 'neweb'), ('ecpay', 'ecpay')], default='neweb', max_length=64)),
                ('invoice_status', models.CharField(choices=[('success', 'success'), ('failure', 'failure'), ('void', 'void')], max_length=64)),
                ('invoice_number', models.CharField(max_length=128, null=True)),
                ('carrier_type', models.CharField(choices=[('no_carrier', 'no_carrier'), ('mobile', 'mobile'), ('npc', 'npc'), ('donation', 'donation'), ('default', 'default')], default='no_carrier', max_length=128)),
                ('carrier_number', models.CharField(blank=True, max_length=128)),
                ('uni_no', models.CharField(blank=True, max_length=128, null=True)),
                ('print_flag', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('detail', models.TextField(blank=True)),
                ('order', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=order_label)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
